import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("product_category")
export class ProductCategory extends CoreEntity {
    @Column()
    categoryName: string;

    @Column({ default: null, nullable: true })
    urlSlug: string;

    @Column({
        default: "https://dispodutchie.nyc3.cdn.digitaloceanspaces.com/default/category-icon.png",
        nullable: true
    })
    image: string;

    @Column({
        default: "https://dispodutchie.nyc3.cdn.digitaloceanspaces.com/default/category-image.png",
        nullable: true
    })
    featuredImage: string;
}
